### Signal

# Gtk PrintOperationPreview::ready

#### Declaration

    void
    ready (
      GtkPrintOperationPreview* self,
      GtkPrintContext* context,
      gpointer user_data
    )

#### Description [src]

The ::ready signal gets emitted once per preview operation, before the first page is rendered.

A handler for this signal can be used for setup tasks.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`context`

  Type: `GtkPrintContext`

  The current `GtkPrintContext`

  The data is owned by the caller of the function.